> ## Documentation Index
> Fetch the complete documentation index at: https://seam-feat-mintlify-migration-iteration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieving ACS System Details

> Learn how to list and get information about your ACS systems.

You can list details for all the ACSs in your [workspace](/core-concepts/workspaces/index) or get these details for a specific ACS. Note that Seam represents the ACS as an [`acs_system`](/api/acs/systems/object) resource. When you want to [create ACS users](/low-level-apis/access-systems/user-management#create-an-acs-user) for your ACS, you must first obtain the ID of the `acs_system` for which you want to create these users.

***

## List ACS Systems

You can [list all `acs_system` resources](/api/acs/systems/list) in your workspace. Note the `acs_system_id` in the response.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.systems.list()
    ```

    **Response:**

    ```json theme={null}
    [
      {
        acs_system_id: '11111111-1111-1111-1111-111111111111',
        name: 'Visionline System',
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/systems/list' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{}'
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_systems": [
        {
          "acs_system_id": "11111111-1111-1111-1111-111111111111",
          "name": "Visionline System",
          ...
        },
        ...
      ],
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.systems.list()
    ```

    **Response:**

    ```
    [
      AcsSystem(
        acs_system_id='11111111-1111-1111-1111-111111111111',
        name='Visionline System',
        ...
      ),
      ...
    ]
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->systems->list();
    ```

    **Response:**

    ```json theme={null}
    [
      {
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "name": "Visionline System",
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.SystemsAcs.List();
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "name": "Visionline System",
      ...
    }
    ...
    ```
  </Tab>
</Tabs>

***

## Get an ACS System

You can [get the details of a specific `acs_system`](/api/acs/systems/get) in your workspace. These details include the `acs_system_id`, date and time at which the `acs_system` was created in Seam, the name and type of the `acs_system`, and so on.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.systems.get({
      acs_system_id: '11111111-1111-1111-1111-111111111111',
    })
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "name": "Example Inc",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2023-11-30T06:27:14.961Z",
      "external_type": "pti_site",
      "external_type_display_name": "PTI site",
      "connected_account_ids": ["11111111-1111-1111-1111-222222222222"],
      "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
      "image_alt_text": "PTI site Logo"
    }
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/systems/get' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_system_id": "11111111-1111-1111-1111-111111111111"
    }'
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_system": {
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "name": "Example Inc",
        "workspace_id": "00000000-0000-0000-0000-000000000000",
        "created_at": "2023-11-30T06:27:14.961Z",
        "external_type": "pti_site",
        "external_type_display_name": "PTI site",
        "connected_account_ids": ["11111111-1111-1111-1111-222222222222"],
        "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
        "image_alt_text": "PTI site Logo"
      },
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.systems.get(
     acs_system_id="11111111-1111-1111-1111-111111111111"
    )
    ```

    **Response:**

    ```
    AcsSystem(
      acs_system_id='11111111-1111-1111-1111-111111111111',
      name='Example Inc',
      workspace_id='00000000-0000-0000-0000-000000000000',
      created_at='2023-11-30T06:27:14.961Z',
      external_type='pti_site',
      external_type_display_name='PTI site",
      connected_account_ids=[
        '11111111-1111-1111-1111-222222222222'
      ],
      image_url='https://connect.getseam.com/assets/images/acs_systems/pti_site.png',
      image_alt_text='PTI site Logo'
    )
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->systems->get(
      acs_system_id: "11111111-1111-1111-1111-111111111111"
    );
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "name": "Example Inc",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2023-11-30T06:27:14.961Z",
      "external_type": "pti_site",
      "external_type_display_name": "PTI site",
      "connected_account_ids": ["11111111-1111-1111-1111-222222222222"],
      "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
      "image_alt_text": "PTI site Logo"
    }
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.SystemsAcs.Get(
      acsSystemId: "11111111-1111-1111-1111-111111111111"
    );
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "name": "Example Inc",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "created_at": "2023-11-30T06:27:14.961Z",
      "external_type": "pti_site",
      "external_type_display_name": "PTI site",
      "connected_account_ids": ["11111111-1111-1111-1111-222222222222"],
      "image_url": "https://connect.getseam.com/assets/images/acs_systems/pti_site.png",
      "image_alt_text": "PTI site Logo"
    }
    ```
  </Tab>
</Tabs>
